b2_list_group_members
  • 05 Jun 2025
  • Dark
    Light

b2_list_group_members

  • Dark
    Light

Article summary

Get
/b2api/v3/b2_list_group_members

PLEASE NOTE:

This API request is now being described as a GET request and not a POST request, as was the case in previous versions of our documentation.

We made this update because we believe that an API call that retrieves data and does not alter state is more accurately represented as a GET request.

You may still make a POST request to this endpoint by simply submitting a JSON-formatted request body containing the parameters, with Content-Type set to application/json.


Lists active Group members for a specific groupId.

There is a limit of 5,000 Group members per Group.

Header parameters
Authorization
stringRequired

An account authorization token, obtained from b2_authorize_account.

Query parameters
adminAccountId
stringRequired

The accountId of the Group admin. This account must be authorized for the Partner API.

ExampleADMIN_ACCOUNT_ID
groupId
stringRequired

The groupId of the Group to list Group members.

Example4a48fe8875c6214145260818
startEmail
string

The first email address of the Group member to return. If there are no Group members with this name, the first Group member after the given email address will be the first in the list.

Examplefirst@email.com
maxMemberCount
integer

The maximum number of Group members to return from this call. The default value is 100, and the maximum is 1000. Passing in 0 means to use the default of 100.

Example234
Responses
200

The request succeeded.

Array of object
object
groupId
integer

The unique ID of the Group from which the account was ejected.

Example254
groupName
string

The Group name of the Group from which the account was ejected.

ExamplePartner Group 2
nextEmail
string

If more Group members exist, the next email address to use as the startingEmail for the query. The value will be Null if no more Group members exist.

Examplenext@email.com
groupMembers
Array of object

A list of ACCEPTED Group members.

Example[ { "accountId": "198140370f6d", "b2Stats": { "b2BytesStoredCount": 0, "b2FilesStoredCount": 0, "b2StatsAsOfTimestamp": "d20210907_m162205", "bucketCount": 0 }, "email": "partner_member_254_1@company.com", "groupId": "254", "groupName": "Partner Group 2", "region": "us-west", "s3Endpoint": "s3.us-west-100.backblazeb2.com" }, { "accountId": "6acbe2b11d19", "b2Stats": { "b2BytesStoredCount": 0, "b2FilesStoredCount": 0, "b2StatsAsOfTimestamp": "d20210907_m162205", "bucketCount": 0 }, "email": "partner_member_254_2@company.com", "groupId": "254", "groupName": "Partner Group 2", "region": "us-west", "s3Endpoint": "s3.us-west-100.backblazeb2.com" } ]
object
accountId
string

The accountId for the Group member.

b2Stats
object

The structure for Backblaze B2 statistics if the Group has the Backblaze B2 product enabled, generated once a day.

b2BytesStoredCount
integer
Example0
b2FilesStoredCount
integer
Example0
b2StatsAsOfTimestamp
string
Examplenull
bucketCount
integer
Example0
groupId
string

The unique ID of the Group for which the new account was added as a Group member.

groupName
string

The Group name of the Group for which the new account was added as a Group member.

email
string

The email address of the new account.

region
string

The region for which the new account's data will reside.

s3Endpoint
string

The endpoint domain for the Backblaze S3 compatible API. The endpoint has the format s3.us-west.backblazeb2.com or s3.eu-central.backblazeb2.com

400
statuscodedescription
400bad_requestThe request had the wrong fields or illegal values. The message returned with the error will describe the problem.
object
status
integer

The numeric HTTP status code. Always matches the status in the HTTP response.

Example400
code
string

A single-identifier code that identifies the error.

Exampleinvalid_bucket_name
message
string

A human-readable message, in English, saying what went wrong.

Examplebucket name is too long
401
statuscodedescription
401invalid_group_idThe groupId is invalid, the Group has been deleted, the Group admin is not a Group admin for the Group.
401out_of_rangemaxMemberCount is out of range.
401unauthorizedThe auth token used is valid, but does not authorize this call with these parameters. The capabilities of an auth token are determined by the Application Key used with b2_authorize_account.
401bad_auth_tokenThe auth token used is not valid. Call b2_authorize_account again to either get a new one, or an error message describing the problem.
401expired_auth_tokenThe auth token used has expired. Call b2_authorize_account again to get a new one.

Was this article helpful?